html, body {
	margin: 0;
	padding: 0;
	height: 100%;
	width: 100%;
}

html, body {
	font-family: Helvetica, Arial, Sans-Serif;
	font-size: 30px;
}

div.slide {
	width: 100%;
	height: 100%;
	overflow: hidden;
	position: relative;
}

div.slide.exercise {
	background-color: #000;
	color: #3cf;
}

div.slide h1 {
	margin: 0;
	padding: 0.2em 0.5em;
}

div.slide .navigation {
	float: right;
	padding: 1em;
	font-size: 0.5em;
}

div.slide .navigation .pagenum {
	cursor: pointer;
}

div.slide .navigation .prev {
	cursor: pointer;
	margin-right: 1em;
}

div.slide ul {
	list-style: none;
	margin: 0;
	padding: 0;
}

div.slide li {
	margin: 0.5em;
	padding: 0 0.5em;
	line-height: 1.2em;
}

pre {
	font-family: Monaco, Courier New;
	margin: 0 1em;
	padding: 0.5em;
	font-size: 0.8em;
}

pre.javascript {
	background: #000;
}

pre.split-left {
	width: 44%;
	margin-right: 0;
	float: left;
}

pre.split-right {
	width: 44%;
	margin-left: 0;
	float: right;
}

pre.long-code {
	font-size: 0.7em;
}

a {
	color: black;
}

.output {
	font-size: 0.5em;
	float: right;
	width: 200px;
	border-left: 1px dashed #000;
	border-bottom: 1px dashed #000;
	padding: 0.5em;
}

#outline {
	display: none;
	font-size: 0.8em;
	line-height: 1.5em;
	padding-left: 2.2em;
}

#outline li {
	cursor: pointer;
}

